com.microfocus.awm.model

## Interface IErrorFeedbackEntry

- All Known Implementing Classes:
    ErrorFeedbackEntry

      public interface IErrorFeedbackEntry

  An instance of an error feedback entry that is used to display errors in the "Team Developer Error List" view.
  Author:
    Christelle Biahmou
  See Also:
    `IErrorFeedbackEntryList`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getCustomFileAttributes()` Gets a map of custom attributes which are defined on message level.
    `java.util.Map<java.lang.String,java.lang.String>` | `getCustomMessageAttributes()` Gets a map of custom attributes which are defined on message level.
    `java.util.List<java.lang.Object>` | `getEntry()` Gets the list of values of this feedback entry.
    `java.lang.String` | `getEntryDate()` Gets the date of the error feedback entry.
    `java.lang.String` | `getEntryID()` Gets the ID of the error feedback entry.
    `java.lang.String` | `getFormatedDate()` Gets the formatted date of the error feedback entry.
    `java.lang.String` | `getHostResource()` Gets the name of the resource containing the error.
    `org.eclipse.core.resources.IResource` | `getLocalResource()` Gets the local copy of the resource containing the error.
    `org.eclipse.core.resources.IMarker` | `getMarker()` Gets the `IMarker` of the error feedback entry.
    `java.lang.String` | `getMsgFilename()` Gets the name of the compiled file which generates the error.
    `java.lang.String` | `getMsgFileParentLocation()` Gets the full location of the parent of file containing the error.
    `java.lang.String` | `getMsgID()` Gets the message ID of the occurred error.
    `java.lang.String` | `getMsgLine()` Gets the line number in which the error occurred.
    `java.lang.String` | `getMsgLocation()` Gets the full location of the compiled file which generates the error.
    `java.lang.String` | `getMsgRC()` Gets the return code of the error.
    `java.lang.String` | `getMsgText()` Gets the message text of the error/message.
    `EErrorFeedbackEntryType` | `getType()` get the type of a error feedback entry.
    `boolean` | `isSolved()` Returns whether the error has been marked as solved.
    `void` | `setEntry()` set the list of entries that will be show on the error table list view
    `void` | `setEntryDate(java.lang.String pEntryDate)` Sets the date of the error feedback entry.
    `void` | `setEntryID(java.lang.String pID)` Sets the ID of the error feedback entry.
    `void` | `setFormatedDate(java.lang.String pFormatedDate)` Sets the formatted date of the error feedback entry.
    `void` | `setHostResource(java.lang.String pHostResource)` Sets the name of the resource containing the error
    `void` | `setLocalResource(org.eclipse.core.resources.IResource pResource)` Sets the local copy of the source in which the error occurred.
    `void` | `setMarker(org.eclipse.core.resources.IMarker pMarker)` Sets the `IMarker` for this error feedback entry.
    `void` | `setMsgFilename(java.lang.String pMsgFilename)` Sets the name of the compiled file which generates the error.
    `void` | `setMsgFileParentLocation(java.lang.String pMsgLocation)` Sets the full location of the parent of the file containing the error.
    `void` | `setMsgID(java.lang.String pMsgID)` Sets the message ID.
    `void` | `setMsgLine(java.lang.String pMsgLine)` Sets the line number in which the error occurred.
    `void` | `setMsgLocation(java.lang.String pMsgLocation)` Sets the full location of the compiled file which generates the error.
    `void` | `setMsgRC(java.lang.String pMsgRC)` Sets the return code of the entry.
    `void` | `setMsgText(java.lang.String pMsgText)` Sets the message text of the entry.
    `void` | `setSolved(boolean pSolved)` Returns whether the error feedback entry should be marked as solved.
    `void` | `setType(EErrorFeedbackEntryType pType)` set the type of a error feedback entry.

- - ### Method Detail

    - #### getEntry

          java.util.List<java.lang.Object> getEntry()

      Gets the list of values of this feedback entry.
      Returns:
        the list of values of this feedback entry.

    - #### getEntryDate

          java.lang.String getEntryDate()

      Gets the date of the error feedback entry.
      Returns:
        the date of the error feedback entry

    - #### getEntryID

          java.lang.String getEntryID()

      Gets the ID of the error feedback entry.
      Returns:
        the ID of the error feedback entry

    - #### getMsgFileParentLocation

          java.lang.String getMsgFileParentLocation()

      Gets the full location of the parent of file containing the error.
      Returns:
        the full location of the parent of the file containing the error

    - #### getFormatedDate

          java.lang.String getFormatedDate()

      Gets the formatted date of the error feedback entry.
      Returns:
        the formatted date of the error feedback entry.

    - #### getHostResource

          java.lang.String getHostResource()

      Gets the name of the resource containing the error.
      Returns:
        the name of the resource containing the error.

    - #### getLocalResource

          org.eclipse.core.resources.IResource getLocalResource()

      Gets the local copy of the resource containing the error.
      Returns:
        the local copy of the resource containing the error or `null`

    - #### getMarker

          org.eclipse.core.resources.IMarker getMarker()

      Gets the `IMarker` of the error feedback entry.
      Returns:
        the marker of the error feedback entry or `null`

    - #### getMsgLocation

          java.lang.String getMsgLocation()

      Gets the full location of the compiled file which generates the error.
      Returns:
        the full location of the compiled file which generates the error.

    - #### getMsgFilename

          java.lang.String getMsgFilename()

      Gets the name of the compiled file which generates the error.
      Returns:
        the name of the compiled file which generates the error.

    - #### getMsgID

          java.lang.String getMsgID()

      Gets the message ID of the occurred error.
      Returns:
        the message ID of the occurred error.

    - #### getMsgLine

          java.lang.String getMsgLine()

      Gets the line number in which the error occurred.
      Returns:
        the line number in which the error occurred.

    - #### getMsgRC

          java.lang.String getMsgRC()

      Gets the return code of the error.
      Returns:
        the return code of the error.

    - #### getMsgText

          java.lang.String getMsgText()

      Gets the message text of the error/message.
      Returns:
        the message text of the error/message.

    - #### isSolved

          boolean isSolved()

      Returns whether the error has been marked as solved.
      Returns:
        `true` whether the error was marked as solved

    - #### getType

          EErrorFeedbackEntryType getType()

      get the type of a error feedback entry.
      Returns:
        the type of a error feedback entry.

    - #### getCustomMessageAttributes

          java.util.Map<java.lang.String,java.lang.String> getCustomMessageAttributes()

      Gets a map of custom attributes which are defined on message level.

      The element 'CUSTOMATTRIBUTES' can be used in the error feed back file between the 'FILE' element or between the 'MESSAGE' element. This method returns the attributes defined in the 'CUSTOMATTRIBUTES' element between the 'MESSAGE' element. The attributes of the 'CUSTOMATTRIBUTES' element are returned as map, where the key equals the attribute identifier and the value equals the attribute value.

      Returns:
        the attributes defined in the message 'CUSTOMATTRIBUTES' element as map, where the key equals the attribute identifier and the value equals the attribute value.

    - #### getCustomFileAttributes

          java.util.Map<java.lang.String,java.lang.String> getCustomFileAttributes()

      Gets a map of custom attributes which are defined on message level.

      The element 'CUSTOMATTRIBUTES' can be used in the error feed back file between the 'FILE' element or between the 'MESSAGE' element. This method returns the attributes defined in the 'CUSTOMATTRIBUTES' element between the 'FILE' element. The attributes of the 'CUSTOMATTRIBUTES' element are returned as map, where the key equals the attribute identifier and the value equals the attribute value.

      Returns:
        the attributes defined in the file 'CUSTOMATTRIBUTES' element as map, where the key equals the attribute identifier and the value equals the attribute value.

    - #### setEntry

          void setEntry()

      set the list of entries that will be show on the error table list view

    - #### setEntryDate

          void setEntryDate(java.lang.String pEntryDate)

      Sets the date of the error feedback entry.
      Parameters:
        `pEntryDate` - the new date

    - #### setEntryID

          void setEntryID(java.lang.String pID)

      Sets the ID of the error feedback entry.
      Parameters:
        `pID` - the new ID

    - #### setMsgFileParentLocation

          void setMsgFileParentLocation(java.lang.String pMsgLocation)

      Sets the full location of the parent of the file containing the error.
      Parameters:
        `pMsgLocation` - the location (MVS_PO or Folder) of the parent of the file containing the error

    - #### setFormatedDate

          void setFormatedDate(java.lang.String pFormatedDate)

      Sets the formatted date of the error feedback entry.
      Parameters:
        `pFormatedDate` - the new formatted date

    - #### setHostResource

          void setHostResource(java.lang.String pHostResource)

      Sets the name of the resource containing the error
      Parameters:
        `pHostResource` - the host resource name

    - #### setLocalResource

          void setLocalResource(org.eclipse.core.resources.IResource pResource)

      Sets the local copy of the source in which the error occurred.
      Parameters:
        `pResource` - the new resource

    - #### setMarker

          void setMarker(org.eclipse.core.resources.IMarker pMarker)

      Sets the `IMarker` for this error feedback entry.
      Parameters:
        `pMarker` - the new marker

    - #### setMsgLocation

          void setMsgLocation(java.lang.String pMsgLocation)

      Sets the full location of the compiled file which generates the error.
      Parameters:
        `pMsgLocation` - the message Location

    - #### setMsgFilename

          void setMsgFilename(java.lang.String pMsgFilename)

      Sets the name of the compiled file which generates the error.
      Parameters:
        `pMsgFilename` - name of the file which generates the error.

    - #### setMsgID

          void setMsgID(java.lang.String pMsgID)

      Sets the message ID.
      Parameters:
        `pMsgID` - the new message ID

    - #### setMsgLine

          void setMsgLine(java.lang.String pMsgLine)

      Sets the line number in which the error occurred.
      Parameters:
        `pMsgLine` - the new line number

    - #### setMsgRC

          void setMsgRC(java.lang.String pMsgRC)

      Sets the return code of the entry.
      Parameters:
        `pMsgRC` - the new return code

    - #### setMsgText

          void setMsgText(java.lang.String pMsgText)

      Sets the message text of the entry.
      Parameters:
        `pMsgText` - the new message text

    - #### setSolved

          void setSolved(boolean pSolved)

      Returns whether the error feedback entry should be marked as solved.
      Parameters:
        `pSolved` - solved flag

    - #### setType

          void setType(EErrorFeedbackEntryType pType)

      set the type of a error feedback entry.
      Parameters:
        `pType` - the type of the error feedback entry.

Copyright © 2015 Micro Focus GmbH. All rights reserved.